import * as Core from "kamboja-core";
export declare class MiddlewareInvocation extends Core.Invocation {
    private invocation;
    private context;
    private middleware;
    constructor(invocation: Core.Invocation, context: Core.HttpRequest | Core.Handshake, middleware: Core.Middleware);
    proceed(): Promise<Core.ActionResult>;
}
export declare class ErrorInvocation extends Core.Invocation {
    private error;
    constructor(error: any);
    proceed(): Promise<Core.ActionResult>;
}
export declare class HttpControllerInvocation extends Core.Invocation {
    private option;
    private request;
    controllerInfo: Core.ControllerInfo;
    constructor(option: Core.Facade, request: Core.HttpRequest, controllerInfo: Core.ControllerInfo);
    proceed(): Promise<Core.ActionResult>;
    private createResult(result);
}
export declare class SocketControllerInvocation extends Core.Invocation {
    private option;
    private socket;
    controllerInfo: Core.ControllerInfo;
    private msg;
    constructor(option: Core.Facade, socket: Core.Handshake, controllerInfo: Core.ControllerInfo, msg?: any);
    proceed(): Promise<Core.ActionResult>;
    private createResult(result);
}
