import { Middleware } from "kamboja-core";
export declare const MiddlewareMetadataKey = "kamboja:middleware";
export declare const MiddlewareIdMetadataKey = "kamboja:middleware:id";
export declare class MiddlewareDecorator {
    use(middleware: Middleware | string): (...args: any[]) => void;
    id(id: string): (...args: any[]) => void;
    static getId(target: any): string | undefined;
    static getMiddlewares(target: any, methodName?: string): (string | Middleware)[];
}
export declare const middleware: MiddlewareDecorator;
